## searx-admin 0.0~git20170823.95fe63b+ds

=== requirements.txt ===
pyyaml
flask
flask-sqlalchemy
flask-security
bcrypt
requests

## searx-admin 0.0~git20170823.95fe63b%2Bds

=== debian/control ===
Source: searx-admin
Section: web
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Fred LE MEUR <frederic.le-meur@ac-versailles.fr>,
           James Valleroy <jvalleroy@mailbox.org>
Build-Depends: debhelper-compat (= 13), dh-exec, dh-python, python3
Standards-Version: 4.6.2
Homepage: https://github.com/kvch/searx-admin
Vcs-Git: https://salsa.debian.org/python-team/packages/searx-admin.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/searx-admin
Rules-Requires-Root: binary-targets

Package: searx-admin
Architecture: all
Depends: fonts-materialdesignicons-webfont, libjs-material-design-lite,
 python3-yaml, python3-flask, python3-flask-sqlalchemy,
 python3-flask-security, python3-requests, python3-bcrypt,
 python3-flask-mail, searx, ${python3:Depends}, ${misc:Depends}
Suggests: sqlite3
Description: Web based management interface for searx
 It is a web application which is capable of managing your instance and
 manipulating its settings via a web UI. It aims to replace editing of
 settings.yml for less experienced administrators or people who prefer
 graphical admin interfaces.

## searx-admin 0.0~git20170823.95fe63b+ds

=== debian/changelog ===
searx-admin (0.0~git20170823.95fe63b+ds-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Update standards version to 4.6.1, no changes needed.

  [ Fred LE MEUR ]
  * Fix autopkgtest regression with flask 2.2.2 (Closes: #1020823)
  * Update standards version to 4.6.2, no changes needed.
  * update-debian-copyright

 -- Fred LE MEUR <frederic.le-meur@ac-versailles.fr>  Thu, 02 Mar 2023 14:29:25 +0100

searx-admin (0.0~git20170823.95fe63b+ds-2) unstable; urgency=medium

  [ Fred LE MEUR ]
  * Fix an issue in flask-security
  * Fix license name in debian/copyright
  * Remove engines that causes autopkgtest errors

  [ James Valleroy ]
  * Update standards version to 4.6.0
  * Add myself to Uploaders
  * Upload to unstable.

 -- James Valleroy <jvalleroy@mailbox.org>  Wed, 20 Apr 2022 08:02:07 -0400

searx-admin (0.0~git20170823.95fe63b+ds-1) experimental; urgency=medium

  * Initial release. (closes: #944421)

 -- Fred LE MEUR <frederic.le-meur@ac-versailles.fr>  Tue, 24 Aug 2021 21:48:37 -0400

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python3

override_dh_fixperms:
	dh_fixperms
	chown -R www-data:www-data debian/searx-admin/var/lib/searx-admin

=== debian/tests/control ===
Tests: general
Restrictions: allow-stderr, isolation-container, needs-root, superficial
Depends: @, curl, nginx, uwsgi, uwsgi-plugin-python3, sqlite3

=== debian/watch ===
version=4
opts="mode=git, pgpmode=none, repack, compression=xz, \
repacksuffix=+ds, dversionmangle=s/\+(ds)(\.\d+)?$//," \
https://github.com/kvch/searx-admin HEAD
